<?php

defined('_JEXEC') or die;

$app             = JFactory::getApplication();
$doc             = JFactory::getDocument();
$user            = JFactory::getUser();
$this->language  = $doc->language;
$this->direction = $doc->direction;

// Getting params from template
$params = $app->getTemplate(true)->params;

// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');
$sitename = $app->get('sitename');

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/template.js');

// Add Stylesheets
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/template.css');

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="google-site-verification" content="pkMq2rlZtERJsmaQlRgcIkps2MGkGPmxGPGtQJFpb9Q" />
	<jdoc:include type="head" />
    

<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-61105400-18', 'auto');
  ga('send', 'pageview');

</script>

</head>



<?php
  require_once('js/stripe-php/init.php');
  
  /* */
  // live keys
  $stripe = array(
  "secret_key"      => "sk_live_F081vw3HrFai42Y09ndTLnpH",
  "publishable_key" => "pk_live_H7P89SdlEtgFLaNZRX0YXrxd"
  );
  /**/
  
  /*
  // test keys
  $stripe = array(
  "secret_key"      => "sk_test_NNYKeACMoiCW4ecF6c22Hwjt",
  "publishable_key" => "pk_test_93Pvdl3w2ZQLzMQrQ8GlYWx1"
  );
  */
  
  \Stripe\Stripe::setApiKey($stripe['secret_key']);
?>

<body>
	<div class="body">
		<div class="container">
			
			<header class="header" role="banner">
                <jdoc:include type="modules" name="logo" style="xhtml" />
                <jdoc:include type="modules" name="headerImage" style="xhtml" />
                <jdoc:include type="modules" name="topMenu" style="xhtml" />
			</header>
            
            <jdoc:include type="modules" name="introText" style="xhtml" />
			<jdoc:include type="modules" name="banner" style="xhtml" />
			
            <div class="row-fluid">	
				<main id="content" role="main">
					<jdoc:include type="message" />
					<jdoc:include type="component" />
                    
<?php
  if($itemid == 158)
  {
	//$action = "/charge";
	$action = "successful-payment.html";
    /* */
	?>
      	  <div style="text-align:center;">
          <form action="<?php echo $action; ?>" method="post">
  		  Amount: $ <input name="amount_input" type="text" id="amount_input" /><br />
		  Company: <input name="company_input" type="text" id="company_input" /><br /> 
		  Contact: <input name="contact_input" type="text" id="contact_input" /><br /> 
          Email: <input name="email_input" type="text" id="email_input" /><br /> 
		  Invoice Number: <input name="invoice_input" type="text" id="invoice_input" /><br />
		  <script src="https://checkout.stripe.com/checkout.js" class="stripe-button"
          data-key="<?php echo $stripe['publishable_key']; ?>"
          data-description="Jet AirWerks Payment"
          data-amount="0"
          data-locale="auto"></script>
          </form>
          
<script type="text/javascript">
    jQuery(function() {
        jQuery('#amount_input').change(function(event) {
            var amount = jQuery('#amount_input').val() * 100;        
            jQuery('.stripe-button').attr('data-amount', amount)
        });
    });
</script>

		  </form>
    <?php
	/* */
  }
  
  if($itemid == 159) 
  {
    try 
	{
	  $token  = $_POST['stripeToken'];

  	  $customer = \Stripe\Customer::create(array(
      'email' => $_POST['email_input'],
      'card'  => $token
  	  ));

  	  $charge = \Stripe\Charge::create(array(
      'customer' => $customer->id,
      'amount'   => ($_POST['amount_input'] * 100),
	  'receipt_email' => $_POST['email_input'],
      'currency' => 'usd'
  	  ));

  	  //echo '<h1>Payment Complete</h1>';
  
 	  $body_text = "Amount: $ " . addslashes($_POST['amount_input']) . "
Company: " . addslashes($_POST['company_input']) . "
Contact: " . addslashes($_POST['contact_input']) . "
Email: " . addslashes($_POST['email_input']) . "
Invoice Number: " . addslashes($_POST['invoice_input']);
	  mail("stripe@jetairwerks.com", "[Jet AirWerks] Online Payment Details", $body_text, "from:noreply@jetairwerks.com");
  
	} catch (Stripe\Error\Base $e) {
      // Code to do something with the $e exception object when an error occurs
      echo($e->getMessage());
      //header("Location: " . $_SESSION['base_url'] . "/index.php");
    }  
  }
  
  // live: pk_live_H7P89SdlEtgFLaNZRX0YXrxd
  // test: pk_test_93Pvdl3w2ZQLzMQrQ8GlYWx1
?>
<?php /* Signature Page Code */ if($itemid == 181) { ?>
                  
                  <h1 class="sig">Create Your Email Signature</h1>
                  <div class="wrap">
                  <?php if(isset($_POST["name"]) && !empty($_POST["name"])) { ?>
    <div class="display">
    <p style="font-family: 'Arial'; font-size: 13px; color: #000000; font-weight: 800; text-transform: uppercase; letter-spacing: .2px; margin-bottom: 2px;"><?php echo $_POST["name"]; ?></p>
    <p style="font-family: 'Arial'; font-size: 11px; color: #818285; font-weight: 400; text-transform: uppercase; letter-spacing: .2px; margin-bottom: 2px;"><?php echo $_POST["title"]; ?></p>
    <p><img src="http://www.jetairwerks.com/images/logo.jpg" alt="Jet AirWerks | Jet AirParts"</p>
    <p style="margin-bottom: 2px; color: #6d6e71; font-size: 11px;">office: 316 215 6604 | mobile / text: <?php echo $_POST["mobile_text"]; ?></p>
    <p style="margin-bottom: 2px; color: #6d6e71; font-size: 11px;">address: 3015 N Summit Street, Ark City, KS 67005 USA</p>
      <p style="color: #6d6e71; font-size: 11px;"><a href="http://www.jetairwerks.com" style="color: #4e7cbc;">website</a><?php if(isset($_POST["vcard"]) && !empty($_POST["vcard"])) { ?> | <a href="" style="color: #4e7cbc;">vcard</a><?php } ?> | <a href="https://www.linkedin.com/company/jet-airwerks-llc" style="color: #4e7cbc;">linkedin</a></p>
                  </div>
<?php } ?>
      
<form action="/signature.html" method="post" enctype="multipart/form-data" class="esig">
    <p class="label"><label>Name:</label></p>
    <p class="input"><input type="text" name="name" /></p>
    <p class="label"><label>Title:</label></p>
    <p class="input"><input type="text" name="title" value="format: xxx xxx xxxx" /></p>
    <p class="label"><label>Mobile/Text:</label></p>
    <p class="input"><input type="text" name="mobile_text" /></p>
    <p class="label"><label>Upload vCard:</label></p>
    <p class="input"><input type="file" name="vcard" id="vcard" /><br><small>.vcf and .vcard files only</small></p>
    <p class="right"><input type="submit" value="Get My Signature" /></p>
</form>

<?php
$target_dir = "/vcard/";
$target_file = $target_dir . basename($_FILES["vcard"]["name"]);
$uploadOk = 1;
$file_type = pathinfo($target_file,PATHINFO_EXTENSION);
// Check if file already exists
if (file_exists($target_file)) {
    echo "Sorry, file already exists.";
    $uploadOk = 0;
}
// Allow certain file formats
if($file_type != "vcf" && $file_type != "vcard" ) {
    echo "Sorry, only .vcf and .vcard files are allowed.";
    $uploadOk = 0;
}
// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
    echo "Sorry, your file was not uploaded.";
// if everything is ok, try to upload file
} else {
    if (move_uploaded_file($_FILES["vcard"]["tmp_name"], $target_file)) {
        echo "The file ". basename( $_FILES["fileToUpload"]["name"]). " has been uploaded.";
    } else {
        echo "Sorry, there was an error uploading your file.";
    }
}
?>               
 </div>
<?php } ?>
 
				</main>
			</div>
		
        	<jdoc:include type="modules" name="homeQuoteArea" style="xhtml" />
        
        </div>
	</div>
    
	<footer class="footer">
		<div class="container">
			<jdoc:include type="modules" name="footer_top" style="xhtml" />
        </div>
        <div class="container">
            <jdoc:include type="modules" name="footer_bottom" style="xhtml" />
		</div>
    </footer>
</script>
     
<!-- SMOOTH SCROLL FUCNTION -->   
<script type="text/javascript" language="javascript">
jQuery(function() {
  jQuery('a[href*=#]:not([href=#])').click(function() {
    if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
      var target = jQuery(this.hash);
      target = target.length ? target : jQuery('[name=' + this.hash.slice(1) +']');
      if (target.length) {
        jQuery('html,body').animate({
          scrollTop: target.offset().top
        }, 1000);
        return false;
      }
    }
  });
});
</script>
        
</body>
</html>